globus_hashtable_iterators(3)

NAME
globus_hashtable_iterators - Iterators

 - Iterators.

SYNOPSIS

  Functions

void * globus_hashtable_first (globus_hashtable_t *table)
Initialize iterator to first hash table entry.
void * globus_hashtable_next (globus_hashtable_t *table)
Increment hash table iterator.
void * globus_hashtable_last (globus_hashtable_t *table)
Initialize iterator to last hash table entry.
void * globus_hashtable_prev (globus_hashtable_t *table)
Decrement hash table iterator.

Detailed Description

Iterators.

The iterator is initially NULL until one of globus_hashtable_first() or globus_hashtable_last() has been called. All other calls have no effect on iterator except for globus_hashtable_remove(). If the iterator points at the entry being removed, the iterator is moved to the next entry.

Once an 'end' has been reached with globus_hashtable_next() or globus_hashtable_prev(), the iterator must again be reset with globus_hashtable_first() or globus_hashtable_last() before being used.

Function Documentation

  void * globus_hashtable_first (globus_hashtable_t * table)

Initialize iterator to first hash table entry. Set iterator to first entry and return datum, NULL if empty

  void * globus_hashtable_last (globus_hashtable_t * table)

Initialize iterator to last hash table entry. Set iterator to last entry and return datum, NULL if empty

  void * globus_hashtable_next (globus_hashtable_t * table)

Increment hash table iterator. Set iterator to next entry and return datum, NULL if at end

  void * globus_hashtable_prev (globus_hashtable_t * table)

Decrement hash table iterator. Set iterator to the previous entry and return datum, NULL if at end

Author

Generated automatically by Doxygen for globus_common from the source code.